class Api::V1::TasksController < ApplicationController
  before_action :set_task, only: %i[show update destroy]
  before_action :check_login

  def index
    render json: TaskSerializer.new(Task.all).serializable_hash.to_json
  end

  def show
    render json: TaskSerializer.new(@task).serializable_hash.to_json
  end

  private

  def task_params
    params.require(:task).permit(:name, :description, :user_id, :activity_id)
  end

  def set_task
    @task = Task.find(params[:id])
  end
end
