require "test_helper"

class Api::V1::TasksControllerTest < ActionDispatch::IntegrationTest
  setup do
    @task = tasks(:one)
    @activity = activities(:one)
    @user = users(:one)
  end

  # INDEX
  test "should access index" do
    get api_v1_activity_tasks_url(@activity),
    headers: { Authorization: JsonWebToken.encode(user_id: @user.id) },
    as: :json
    assert_response :success
  end

  test "should not access index" do
    get api_v1_activity_tasks_url(@activity),
    as: :json
    assert_response :forbidden
  end

  # SHOW
  test "should access show" do
    get api_v1_activity_task_url(@activity, @task),
    headers: { Authorization: JsonWebToken.encode(user_id: @user.id) },
    as: :json
    assert_response :success
  end

  test "should not access show" do
    get api_v1_activity_task_url(@activity, @task),
    as: :json
    assert_response :forbidden
  end
end
